You are not logged in.

#1 2019-04-09 00:58:28

WyRe
Member
Registered: 2018-03-03
Posts: 20

VIA Technologies graphic card won't start xorg server

Hi everyone,

We are having issues with this one exactly:

01:00.0 VGA compatible controller: VIA Tecnologies, Inc. KM400/KN400/P4M800 [S3 UniChrome] (rev 01)

We are not able to load i3 despite of we have added it to our `~/.xinitrc`

Here our /etc/X11/xorg.conf and our /var/log/Xorg.0.log when we try to start the xorg server with `xf86-video-openchrome` installed and the default cfg file generated with `X -configure`

We just have removed the following line

BusID       "PCI:1:0:0"

cause it was a suggestion from someone in #archlinux32 (freenode). But did not work neither.

I think apparently xf86-video-openchrome must be fine at upstream, cause the machine is able to load PuppyLinux in live mode, (though I don't know what openchrome driver version are they implementing). Anyway ... We were thinking about report a bug as the last resource.

Thank you all.

Offline

#2 2019-04-09 06:54:46

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 605
Website

Re: VIA Technologies graphic card won't start xorg server

Puppylinux has an older Xorg presumably, before 1.20. That's why it still worked..
I have a Matrox, a MACH64 and some Gloria VESA, AMD integrated GPUs (Geode), none of them work..

Offline

#3 2019-04-09 10:26:24

WyRe
Member
Registered: 2018-03-03
Posts: 20

Re: VIA Technologies graphic card won't start xorg server

andreas_baumann wrote:

Puppylinux has an older Xorg presumably, before 1.20. That's why it still worked..
I have a Matrox, a MACH64 and some Gloria VESA, AMD integrated GPUs (Geode), none of them work..

Mmm, I see; anyway ... There are not suggestions? I mean, ... We would try the proprietary version if not were because it is not recommended in the Arch wiki.:

The proprietary VIA drivers are no longer available as they are considered unstable and insecure.

So ... maybe an older xorg server version? What do you think about xorg-server1.12 or xorg-server1.19-git?

First, we are trying disabling `vesafb` (another suggestion from #archlinux32 based on this one), I'll update with info when we have tested it.

Thank you all again.

Offline

Board footer

Powered by FluxBB